# $Id: tcping.spec 4308 2006-04-21 22:20:20Z dries $
# Authority: dag
# Upstream: Marc Kirchner <kirchner$stud,fh-heilbronn,de>

Summary: Check TCP connection to a given ip/port
Name: tcping
Version: 1.3.4
Release: 1.2.%{releasetagsuffix}
License: GPL
Group: Applications/Internet
URL: http://www.linuxco.de/tcping/tcping.html

Source: http://www.linuxco.de/tcping/tcping-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
tcping does a TCP connect to the given ip/port combination. The user
can specify a timeout in seconds. This is useful in shell scripts
running in firewalled environments. Often SYNs are just being dropped
by firewalls, thus connection establishment will be retried several
times (for minutes) until a TCP timeout is reached. With tcping it
is possible to check first if the desired port is reachable and then
start connection establishment.

%prep
%setup

%build
%{__make} %{?_smp_mflags} \
	CFLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 tcping %{buildroot}%{_bindir}/tcping

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README
%{_bindir}/tcping

%changelog
* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 1.3.4-1.2 #4308
- Rebuild for Fedora Core 5.

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 1.3.4-1
- Updated to release 1.3.4.

* Fri Apr 23 2004 Dag Wieers <dag@wieers.com> - 1.3.3-1
- Initial package. (using DAR)
